"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeConsoleReport = void 0;
const chalk = require("chalk");
const state_1 = require("../../state");
const utils_1 = require("../../utils");
const writeConsoleReport = ({ currentVersion, deltaVersion, manifest }) => __awaiter(void 0, void 0, void 0, function* () {
    const changes = (0, state_1.getChanges)(currentVersion, deltaVersion, manifest);
    for (const change of changes) {
        if (change.changeCount) {
            const frame = (0, state_1.getDiffFrame)(change, manifest);
            (0, utils_1.logWarn)(`Change detected in ${chalk.bold(`${frame.sourceFilePath} : ${frame.title}`)}`);
        }
    }
});
exports.writeConsoleReport = writeConsoleReport;
